body{
    margin: 0;
    padding: 0;
    background: #2c4754;
}
.circle{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 50px;
    height: 50px;
    border-radius: 50%;
}
.circle .share{
    position: relative;
    width: 100%;
    height: 100%;
    line-height: 50px;
    text-align: center;
    color: #fff;
    background: #607d8b;
    border-radius: 50%;
    z-index: 1;
    box-shadow: 0 0 0 2px #112833;
}
.circle ul{
    position: absolute;
    top: -50px;
    left: -50px;
    margin: 0;
    padding: 0;
    width: 150px;
    height: 150px;
    background: #fff;
    border-radius: 50%;
    transition: 1s;
    transform: scale(.3) rotate(-180deg);
    box-shadow: 0 0 0 2px #1b3646, 0 0 0 4px #fff;
    transition: 1s;
    z-index: -1;
    opacity: 0;
}
.circle:hover ul{
    transform: scale(1) rotate(0deg);
    box-shadow: 0 0 0 2px #1b3646, 0 0 0 4px #fff, 0 5px 30px rgba(0,0,0,1);
    opacity: 1;
}
.circle ul li {
    position: absolute;
    list-style: none;
}
.circle ul li:nth-child(1){
    top:15px;
    left: 50%;
    transform: translateX(-50%);
}
.circle ul li:nth-child(2){
    bottom: 15px;
    left: 50%;
    transform: translateX(-50%);
}
.circle ul li:nth-child(3){
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
}
.circle ul li:nth-child(4){
    top: 50%;
    right: 15px;
    transform: translateY(-50%);
}
.circle ul li a .fa{
    transition: .5s;
    color: #112833;
}
.circle ul li:hover a .fa{
    color: #f44336;
    transform: scale(1.5);
}
.circle ul:before{
    content: '';
    position: absolute;
    top: calc(50% - 1px);
    left: 0;
    width: 100%;
    height: 2px;
    background: #112833;
    transform: rotate(45deg);
}
.circle ul:after{
    content: '';
    position: absolute;
    top: calc(50% - 1px);
    left: 0;
    width: 100%;
    height: 2px;
    background: #112833;
    transform: rotate(-45deg);
}